%define with_maven 1

Name:          day-jcr-1.0-api
Version:       1.0
Release:       %mkrel 6
Summary:       Content Repository for Java Technology (JSR-170) API
Group:         Development/Java
License:       Freely distributable source
Url:           http://www.jcp.org/en/jsr/detail?id=170
Source0:       http://repo2.maven.org/maven2/javax/jcr/jcr/1.0/jcr-1.0-sources.jar
Source1:       http://repo2.maven.org/maven2/javax/jcr/jcr/1.0/jcr-1.0.pom
# https://confluence.sakaiproject.org/display/LIC/JSR+170+-+Day+Management+AG
Source2:       day-jcr-1.0-api-additional-LICENSE.txt
Source3:       day-jcr-1.0-api-autogeneratedfiles.tar.gz
Patch0:        day-jcr-1.0-api-manifest.patch

BuildRequires: jpackage-utils
BuildRequires: java-devel

%if !%with_maven
BuildRequires: ant
%else
BuildRequires: maven-local
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-ant-plugin
%endif

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Content Repository for Java technology API. Specifies a standard API to
access content repositories in JavaTM 2 independently of implementation

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -T -q -c

mkdir -p target/site/apidocs/
mkdir -p target/classes/

mkdir -p src/main/java
(
  cd src/main/java
  jar -xf %{SOURCE0}
  mv META-INF ../../../target/classes/
)

cp %{SOURCE1} pom.xml
cp %{SOURCE2} target/classes/META-INF/additional-LICENSE.txt
%patch0 -p0

for i in `find -name "*.java"`
do
        native2ascii -encoding UTF8 $i $i
done

%build

%if !%with_maven
# TODO
%else
mvn-rpmbuild ant:ant install javadoc:aggregate
%endif

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

install -pm 644 target/jcr-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

( cd %{buildroot}%{_javadir} ; ln -sf %{name}-%{version}.jar %{name}.jar )

install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/day-jcr-1.0-api.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc target/classes/META-INF/*LICENSE.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Sun Nov 10 2013 dmorgan <dmorgan> 1.0-6.mga4
+ Revision: 550433
- Remove useless/broken macros

* Tue Oct 22 2013 umeabot <umeabot> 1.0-5.mga4
+ Revision: 545837
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 1.0-4.mga4
+ Revision: 501900
- BR maven-local for mvn-rpmbuild

* Fri Jan 11 2013 umeabot <umeabot> 1.0-3.mga3
+ Revision: 348624
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 dmorgan <dmorgan> 1.0-2.mga3
+ Revision: 343760
- Fix file encoding

* Fri Oct 07 2011 dmorgan <dmorgan> 1.0-1.mga2
+ Revision: 152557
- Add maven-ant-plugin as Buildrequire
- Clean spec file

  + gil <gil>
    - imported package day-jcr-1.0-api

